@echo off
:restart
if %1.==SKIP. goto domenu
rem Display something to let them know we're working
cls
echo.Please wait...

rem Set initial environment variables
set BDSER=????????
set SESER=????????
call setdenv.bat

rem Now get part numbers and version numbers 
rem from BIOS and Files (into setbenv.bat)
Getparts /f

rem Now set those environment variables
call setbenv.bat

rem If the oem has provided custom logo/p6upd etc the file "oemcust" must
rem exist on the disk to make sure it gets updated.

if exist oemcust        set _custom=/c

rem If this is the oem support version of the disk, the file "platfbd.bin" must
rem exist to enable oem options.

if exist platfbd.bin    set _oem=/o

:domenu

cls
echo.              Update Disk %DSKVER%

if exist protmnu.bat call protmnu.bat
	
cmpparts /p /d %_custom% %_oem%
if errorlevel 4 goto readback
if errorlevel 3 goto doboth
if errorlevel 2 goto dobb
if errorlevel 1 goto domb

:exit
echo.
echo.Now remove floppy from drive and reboot.
echo.
:doloop
pause >nul
goto restart

:readback
	del bios.rom
	phlash /MFG /EXIT /B=platfbd.bin /RO=bios.rom
	goto exit

:doboth
	set _exitoption=/MFG /EXIT
:dobb
	formbios bb.bin /bd:%bddpn%\bbdata.bin /ss:%BDSER% /OF:bios.tmp
	phlash %_exitoption% /B=platbb.bin bios.tmp

:domb
	if %_custom%. == . goto mainbiosonly
	phlash /B=platoem.bin bios.rom
	goto exit

:mainbiosonly
	phlash /B=platform.bin bios.rom
	goto exit


